Bug 188419 - [exp-run] Uses/zip.mk improvements part 1
[exp-run] Uses/zip.mk improvements part 1
Status: In Progress
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alex Kozlov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-10 12:30 UTC by spam
Modified: 2014-11-09 22:33 UTC (History)
0 users

See Also:


Attachments
file.diff (768 bytes, patch)
2014-04-10 12:30 UTC, spam
no flags Details | Diff
patch.txt (1.54 KB, text/plain; charset=us-ascii)
2014-05-06 11:59 UTC, spam
no flags Details
patch2.txt (28.29 KB, text/plain; charset=us-ascii)
2014-05-26 15:49 UTC, spam
no flags Details
patch.txt (29.29 KB, text/plain; charset=us-ascii)
2014-05-29 11:08 UTC, spam
no flags Details
patch.txt (1.44 KB, text/plain; charset=us-ascii)
2014-05-30 20:04 UTC, spam
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description spam 2014-04-10 12:30:00 UTC
Uses/zip.mk improvements, part 1: switch back to (native) unzip for zip files extraction.

Fix: Patch attached with submission follows:
Comment 1 Alex Kozlov freebsd_committer 2014-04-10 12:31:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to portmgr for exp-run.
Comment 2 Bryan Drewery freebsd_committer 2014-04-15 15:46:29 UTC
Responsible Changed
From-To: portmgr->bdrewery

take for exp-run
Comment 3 Bryan Drewery freebsd_committer 2014-04-18 16:04:12 UTC
Results at 
http://package18.nyi.freebsd.org/bulk/91amd64-default-pr_188419/2014-04-15_15h00m18s

New failures:

+ {"origin"=>"games/ioquake3-devel-server", "phase"=>"extract", 
"errortype"=>"cluster"}
+ {"origin"=>"games/lwjgl", "phase"=>"build", "errortype"=>"cluster"}
+ {"origin"=>"games/openarena-server", "phase"=>"extract", 
"errortype"=>"cluster"}
+ {"origin"=>"games/scummvm-tools", "phase"=>"stage", 
"errortype"=>"cluster"}
+ {"origin"=>"games/urbanterror-data", "phase"=>"stage", 
"errortype"=>"cluster"}
+ {"origin"=>"graphics/gource", "phase"=>"build", 
"errortype"=>"cluster"}
+ {"origin"=>"japanese/p5-Text-ChaSen", "phase"=>"checksum", 
"errortype"=>"cluster"}
+ {"origin"=>"polish/hunspell", "phase"=>"extract", 
"errortype"=>"WRKDIR"}
+ {"origin"=>"textproc/no-hunspell", "phase"=>"extract", 
"errortype"=>"WRKDIR"}
+ {"origin"=>"www/piwik", "phase"=>"checksum", "errortype"=>"checksum"}

-- 
Regards,
Bryan Drewery
Comment 4 Bryan Drewery freebsd_committer 2014-04-18 16:04:37 UTC
Responsible Changed
From-To: bdrewery->ak

exp-run done
Comment 5 spam 2014-05-06 11:59:02 UTC
Hi, Baptiste

> Results at http://package18.nyi.freebsd.org/bulk/91amd64-default-pr_188419/2014-04-15_15h00m18s
>
> New failures:
 
> {"origin"=>"games/ioquake3-devel-server", "phase"=>"extract", "errortype"=>"cluster"}
Reverted to EXTRACT_SUFX?=.zip, games/ioquake3 have many slaves that use different
distfile formats.

> {"origin"=>"games/lwjgl", "phase"=>"build", "errortype"=>"cluster"}
Uses zip:infozip, excerpt from the log:
[..]
[generator] Compiling 122 source files to /wrkdirs/usr/ports/games/lwjgl/work/lwjgl-2.9.1/bin
[generator] /wrkdirs/usr/ports/games/lwjgl/work/lwjgl-2.9.1/src/java/org/lwjgl/util/generator/FieldsGenerator.java:38: error: package com.sun.mirror.declaration does not exist
[generator] import com.sun.mirror.declaration.FieldDeclaration;
[generator]                                  ^
[generator] /wrkdirs/usr/ports/games/lwjgl/work/lwjgl-2.9.1/src/java/org/lwjgl/util/generator/FieldsGenerator.java:39: error: package com.sun.mirror.declaration does not exist
[generator] import com.sun.mirror.declaration.Modifier;
[generator]                                  ^
[generator] /wrkdirs/usr/ports/games/lwjgl/work/lwjgl-2.9.1/src/java/org/lwjgl/util/generator/FieldsGenerator.java:40: error: package com.sun.mirror.type does not exist
[..]

False positive.

> {"origin"=>"games/openarena-server", "phase"=>"extract", "errortype"=>"cluster"}
The games/ioquake3 slave, see games/ioquake3-devel-server case.

> {"origin"=>"games/scummvm-tools", "phase"=>"stage", "errortype"=>"cluster"}
Doesn't use unzip anywhere, excerpt from the log:
[..]
===>  Staging for scummvm-tools-1.6.0_2
/usr/bin/strip: '/wrkdirs/usr/ports/games/scummvm-tools/work/scummvm-tools-1.6.0/decompile': No such file
*** [pre-install] Error code 1
[..]

False positive.

> {"origin"=>"games/urbanterror-data", "phase"=>"stage", "errortype"=>"cluster"}
Reverted to EXTRACT_SUFX?=.zip, uses tar specific command line option.

> {"origin"=>"graphics/gource", "phase"=>"build", "errortype"=>"cluster"}
Excerpt from the log:
[..]
In file included from /usr/local/include/glm/fwd.hpp:32:
/usr/local/include/glm/detail/type_int.hpp:35:11: fatal error: 'cstdint' file not found
#       include <cstdint>
[..]

False positive.

> {"origin"=>"japanese/p5-Text-ChaSen", "phase"=>"checksum", "errortype"=>"cluster"}
The checksum error, excerpt from the log:
[..]
===> Fetching all distfiles required by ja-p5-Text-ChaSen-1.03_4 for building
=> No SHA256 checksum recorded for chasen-2.4.4.tar.gz.
=> No suitable checksum found for chasen-2.4.4.tar.gz.
*** [checksum] Error code 1
[..]

False positive.

> {"origin"=>"polish/hunspell", "phase"=>"extract", "errortype"=>"WRKDIR"}
Fixed.

> {"origin"=>"textproc/no-hunspell", "phase"=>"extract", "errortype"=>"WRKDIR"}
Fixed.

> {"origin"=>"www/piwik", "phase"=>"checksum", "errortype"=>"checksum"}
The checksum error, excerpt from the log:
[..]
==> Fetching all distfiles required by piwik-2.1.0 for building
=> SHA256 Checksum mismatch for piwik-2.1.0.tar.gz.
===>  Giving up on fetching files: piwik-2.1.0.tar.gz
Make sure the Makefile and distinfo file (/usr/ports/www/piwik/distinfo)
[..]

False positive.


-- 
Alex
Comment 6 baptiste.daroussin 2014-05-22 08:37:01 UTC
approved
Comment 7 dfilter freebsd_committer 2014-05-22 10:51:46 UTC
Author: ak
Date: Thu May 22 09:51:35 2014
New Revision: 354818
URL: http://svnweb.freebsd.org/changeset/ports/354818
QAT: https://qat.redports.org/buildarchive/r354818/

Log:
  - Use /usr/bin/unzip for zip files extraction (part 1)
  
  PR:	ports/188419
  Exp-run:	bdrewery
  Approved by:	portmgr (bapt)

Modified:
  head/Mk/Uses/zip.mk
  head/Mk/bsd.commands.mk
  head/games/ioquake3/Makefile
  head/games/urbanterror-data/Makefile
  head/polish/hunspell/Makefile
  head/textproc/no-hunspell/Makefile

Modified: head/Mk/Uses/zip.mk
==============================================================================
--- head/Mk/Uses/zip.mk	Thu May 22 09:43:03 2014	(r354817)
+++ head/Mk/Uses/zip.mk	Thu May 22 09:51:35 2014	(r354818)
@@ -14,13 +14,15 @@ zip_ARGS?=	none
 
 EXTRACT_SUFX?=	.zip
 
+EXTRACT_BEFORE_ARGS?=	-qo
+EXTRACT_AFTER_ARGS?=	-d ${WRKDIR}
+
 .if ${zip_ARGS} == infozip
 EXTRACT_DEPENDS+=	${UNZIP_CMD}:${PORTSDIR}/archivers/unzip
-
 EXTRACT_CMD?=		${UNZIP_CMD}
-EXTRACT_BEFORE_ARGS?=	-qo
-EXTRACT_AFTER_ARGS?=	-d ${WRKDIR}
-.elif ${zip_ARGS} != none
+.elif ${zip_ARGS} == none
+EXTRACT_CMD?=		${UNZIP_NATIVE_CMD}
+.else
 IGNORE=	Incorrect 'USES+=zip:${zip_ARGS}' expecting 'USES+=zip[:infozip]'
 .endif
 .endif

Modified: head/Mk/bsd.commands.mk
==============================================================================
--- head/Mk/bsd.commands.mk	Thu May 22 09:43:03 2014	(r354817)
+++ head/Mk/bsd.commands.mk	Thu May 22 09:51:35 2014	(r354818)
@@ -95,6 +95,7 @@ UMOUNT?=	/sbin/umount
 UNAME?=		/usr/bin/uname
 UNMAKESELF_CMD?=	${LOCALBASE}/bin/unmakeself
 UNZIP_CMD?=	${LOCALBASE}/bin/unzip
+UNZIP_NATIVE_CMD?=	/usr/bin/unzip
 WHICH?=		/usr/bin/which
 XARGS?=		/usr/bin/xargs
 XMKMF?=		${LOCALBASE}/bin/xmkmf

Modified: head/games/ioquake3/Makefile
==============================================================================
--- head/games/ioquake3/Makefile	Thu May 22 09:43:03 2014	(r354817)
+++ head/games/ioquake3/Makefile	Thu May 22 09:51:35 2014	(r354818)
@@ -7,11 +7,12 @@ PORTREVISION?=	13
 CATEGORIES=	games
 MASTER_SITES?=	http://ioquake3.org/files/${DISTVERSION}/
 # Using zip this way enables slaves to override it.
+EXTRACT_SUFX?=	.zip
 
 MAINTAINER?=	kamikaze@bsdforen.de
 COMMENT?=	Cleaned-up and enhanced version of Quake 3
 
-USES=		pkgconfig gmake zip
+USES=		pkgconfig gmake
 
 NO_STAGE=	yes
 # Port configuration flags:

Modified: head/games/urbanterror-data/Makefile
==============================================================================
--- head/games/urbanterror-data/Makefile	Thu May 22 09:43:03 2014	(r354817)
+++ head/games/urbanterror-data/Makefile	Thu May 22 09:51:35 2014	(r354818)
@@ -9,12 +9,12 @@ MASTER_SITES=	http://cdn.urbanterror.inf
 		http://mirror.urtstats.net/urbanterror/
 PKGNAMEPREFIX=	urbanterror-
 DISTNAME=	UrbanTerror${URT_VER}_full${URT_REV}
+EXTRACT_SUFX=	.zip
 EXTRACT_ONLY=
 
 MAINTAINER=	kamikaze@bsdforen.de
 COMMENT=	Standalone realism based mod originally for Quake III Arena
 
-USES=		zip
 NO_BUILD=	yes
 NO_CDROM=	The mod files may not be sold or distributed on physical media unless with permission from id Software.
 

Modified: head/polish/hunspell/Makefile
==============================================================================
--- head/polish/hunspell/Makefile	Thu May 22 09:43:03 2014	(r354817)
+++ head/polish/hunspell/Makefile	Thu May 22 09:51:35 2014	(r354818)
@@ -22,7 +22,7 @@ PLIST_DIRSTRY=	%%DATADIR%%
 
 post-extract:
 	@${MKDIR} ${WRKSRC}
-	@${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${WRKDIR}/pl_PL.zip -C ${WRKSRC}/
+	@${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${WRKDIR}/pl_PL.zip -d ${WRKSRC}
 
 do-install:
 	${MKDIR} ${STAGEDIR}${DATADIR}/

Modified: head/textproc/no-hunspell/Makefile
==============================================================================
--- head/textproc/no-hunspell/Makefile	Thu May 22 09:43:03 2014	(r354817)
+++ head/textproc/no-hunspell/Makefile	Thu May 22 09:51:35 2014	(r354818)
@@ -23,8 +23,8 @@ PLIST_DIRSTRY=	%%DATADIR%%
 
 post-extract:
 	@${MKDIR} ${WRKSRC}
-	@${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${WRKDIR}/nb_NO.zip -C ${WRKSRC}/
-	@${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${WRKDIR}/nn_NO.zip -C ${WRKSRC}/
+	@${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${WRKDIR}/nb_NO.zip -d ${WRKSRC}
+	@${EXTRACT_CMD} ${EXTRACT_BEFORE_ARGS} ${WRKDIR}/nn_NO.zip -d ${WRKSRC}
 
 do-install:
 	${MKDIR} ${STAGEDIR}${DATADIR}/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 spam 2014-05-26 15:49:58 UTC
Hi

Uses/zip.mk improvements, part 2: remove most of USES=zip:infozip


-- 
Alex
Comment 9 Alex Kozlov freebsd_committer 2014-05-26 15:50:36 UTC
Responsible Changed
From-To: ak->portmgr

Over to portmgr for exp-run.
Comment 10 Antoine Brodin freebsd_committer 2014-05-27 17:18:54 UTC
State Changed
From-To: open->feedback

Hi, 
Can you put back the infozip for x11-fonts/roboto-fonts-ttf as it's known to fail on 10 with base unzip? 
Also, can you update the patch, there are rejects on games/daimonin-music and games/glest.
Comment 11 spam 2014-05-29 11:08:03 UTC
On Tue, May 27, 2014 at 04:21:18PM +0000, antoine@FreeBSD.org wrote:
> Synopsis: [exp-run] Uses/zip.mk improvements part 1
> 
> State-Changed-From-To: open->feedback
> State-Changed-By: antoine
> State-Changed-When: Tue May 27 16:18:54 UTC 2014
> State-Changed-Why: 
> Hi,
> Can you put back the infozip for x11-fonts/roboto-fonts-ttf
> as it's known to fail on 10 with base unzip?
I've tested against FreeBSD 8.4 and 9-STABLE :(

> Also, can you update the patch, there are rejects on games/daimonin-music and games/glest.
Attached.


-- 
Alex
Comment 12 Antoine Brodin freebsd_committer 2014-05-29 11:51:56 UTC
State Changed
From-To: feedback->open
Comment 13 Antoine Brodin freebsd_committer 2014-05-29 11:51:56 UTC
Responsible Changed
From-To: portmgr->antoine

Take
Comment 14 Antoine Brodin freebsd_committer 2014-05-30 19:46:25 UTC
Responsible Changed
From-To: antoine->ak

Hi, 

There were 2 new failures: 
+ {"origin"=>"games/doom-hr", "pkgname"=>"doom-hr-1.0_1", "phase"=>"extract", "errortype"=>"???"} 
+ {"origin"=>"math/jama", "pkgname"=>"jama-1.2.5", "phase"=>"stage", "errortype"=>"???"} 

Logs available at: 
http://package22.nyi.freebsd.org/data/91amd64-default-pr188419/2014-05-29_12h46m30s/logs/errors/doom-hr-1.0_1.log 
http://package22.nyi.freebsd.org/data/91amd64-default-pr188419/2014-05-29_12h46m30s/logs/errors/jama-1.2.5.log
Comment 15 spam 2014-05-30 20:04:30 UTC
Hi

> There were 2 new failures: 
> + {"origin"=>"games/doom-hr", "pkgname"=>"doom-hr-1.0_1", "phase"=>"extract", "errortype"=>"???"} 
> + {"origin"=>"math/jama", "pkgname"=>"jama-1.2.5", "phase"=>"stage", "errortype"=>"???"}
Fixed. Thanks.


-- 
Alex
Comment 16 commit-hook freebsd_committer 2014-06-06 15:27:17 UTC
A commit references this bug:

Author: ak
Date: Fri Jun  6 15:26:53 UTC 2014
New revision: 356803
URL: http://svnweb.freebsd.org/changeset/ports/356803

Log:
  - Use /usr/bin/unzip for zip files extraction (part 2)
    Remove most of USES=zip:infozip

  PR:        ports/188419
  Approved by:	portmgr (bapt)
  Exp-run:	antoine

Changes:
  head/archivers/qpress/Makefile
  head/audio/squeezeboxserver-dynamicplaylist/Makefile
  head/audio/squeezeboxserver-sqlplaylist/Makefile
  head/audio/squeezeboxserver-trackstat/Makefile
  head/deskutils/fengoffice/Makefile
  head/devel/jgoodies-common/Makefile
  head/devel/tnt/Makefile
  head/editors/uemacs/Makefile
  head/games/daimonin-music/Makefile
  head/games/dmjava/Makefile
  head/games/doom-data/Makefile.include
  head/games/doom-freedoom/Makefile
  head/games/doom-hr/Makefile
  head/games/doom-hr/scripts/
  head/games/flightgear-aircraft/Makefile
  head/games/flightgear-mb339-pan/Makefile
  head/games/freedoko/Makefile
  head/games/glest/Makefile
  head/games/hlstatsx/Makefile
  head/games/lwjgl/Makefile
  head/games/megamario/Makefile
  head/games/openjazz/Makefile
  head/games/pykawari/Makefile
  head/games/quake3-data/Makefile.include
  head/games/smashbattle/Makefile
  head/graphics/aoi/Makefile
  head/graphics/cbviewer/Makefile
  head/graphics/libecwj2/Makefile
  head/japanese/ASCIIdates98-fpw/Makefile
  head/japanese/CGdic-fpw/Makefile
  head/japanese/another-htmllint/Makefile
  head/japanese/bible_names-fpw/Makefile
  head/japanese/devil-fpw/Makefile
  head/japanese/ebd-fpw/Makefile
  head/japanese/edict-fpw/Makefile
  head/japanese/flower-fpw/Makefile
  head/japanese/foldoc-fpw/Makefile
  head/japanese/font-ipa-uigothic/Makefile
  head/japanese/fumeikai-fpw/Makefile
  head/japanese/jargon-fpw/Makefile
  head/japanese/lsd-fpw/Makefile
  head/japanese/pejv-fpw/Makefile
  head/japanese/roget-fpw/Makefile
  head/japanese/ryaku-fpw/Makefile
  head/japanese/vera-fpw/Makefile
  head/japanese/wdic-fpw/Makefile
  head/japanese/web1913-fpw/Makefile
  head/japanese/wordnet-fpw/Makefile
  head/japanese/wwasw-fpw/Makefile
  head/japanese/yasou-fpw/Makefile
  head/mail/assp/Makefile
  head/mail/ftrack/Makefile
  head/mail/thunderbird-i18n/Makefile
  head/math/jama/Makefile
  head/math/miracl/Makefile
  head/net/wizd/Makefile